<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stock](./bitburner.stock.md) &gt; [getVolatility](./bitburner.stock.getvolatility.md)

## Stock.getVolatility() method

Returns the volatility of the specified stock.

**Signature:**

```typescript
getVolatility(sym: string): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

sym


</td><td>

string


</td><td>

Stock symbol.


</td></tr>
</tbody></table>

**Returns:**

number

Volatility of the specified stock.

## Remarks

RAM cost: 2.5 GB

Volatility represents the maximum percentage by which a stock’s price can change every tick. The volatility is returned in the range 0-1. (e.g. if a stock has a volatility of 3%, then this function will return 0.03, NOT 3).

In order to use this function, you must first purchase access to the Four Sigma (4S) Market Data TIX API.

